# Class SetWatches2

java.lang.Object
org.apache.zookeeper.proto.SetWatches2

All Implemented Interfaces:
  `Record`

@Public public class SetWatches2 extends Object implements Record

## Constructor Summary

Constructors
Constructor
Description
`SetWatches2()`
`SetWatches2(long relativeZxid, List<String> dataWatches, List<String> existWatches, List<String> childWatches, List<String> persistentWatches, List<String> persistentRecursiveWatches)`

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(Object peer_)`
`void`
`copyFrom(SetWatches2 from)`
`void`
`deserialize(InputArchive a_, String tag)`
`boolean`
`equals(Object peer_)`
`List<String>`
`getChildWatches()`
`List<String>`
`getDataWatches()`
`List<String>`
`getExistWatches()`
`List<String>`
`getPersistentRecursiveWatches()`
`List<String>`
`getPersistentWatches()`
`long`
`getRelativeZxid()`
`int`
`hashCode()`
`void`
`readFields(DataInput in)`
`void`
`serialize(OutputArchive a_, String tag)`
`void`
`setChildWatches(List<String> m_)`
`void`
`setDataWatches(List<String> m_)`
`void`
`setExistWatches(List<String> m_)`
`void`
`setPersistentRecursiveWatches(List<String> m_)`
`void`
`setPersistentWatches(List<String> m_)`
`void`
`setRelativeZxid(long m_)`
`static String`
`signature()`
`String`
`toString()`
`void`
`write(DataOutput out)`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SetWatches2

public SetWatches2()

### SetWatches2

public SetWatches2(long relativeZxid, List<String> dataWatches, List<String> existWatches, List<String> childWatches, List<String> persistentWatches, List<String> persistentRecursiveWatches)

## Method Details

### getRelativeZxid

public long getRelativeZxid()

### setRelativeZxid

public void setRelativeZxid(long m_)

### getDataWatches

public List<String> getDataWatches()

### setDataWatches

public void setDataWatches(List<String> m_)

### getExistWatches

public List<String> getExistWatches()

### setExistWatches

public void setExistWatches(List<String> m_)

### getChildWatches

public List<String> getChildWatches()

### setChildWatches

public void setChildWatches(List<String> m_)

### getPersistentWatches

public List<String> getPersistentWatches()

### setPersistentWatches

public void setPersistentWatches(List<String> m_)

### getPersistentRecursiveWatches

public List<String> getPersistentRecursiveWatches()

### setPersistentRecursiveWatches

public void setPersistentRecursiveWatches(List<String> m_)

### copyFrom

public void copyFrom(SetWatches2 from)

### serialize

public void serialize(OutputArchive a_, String tag) throws IOException

Specified by:
  `serialize` in interface `Record`
Throws:
  `IOException`

### deserialize

public void deserialize(InputArchive a_, String tag) throws IOException

Specified by:
  `deserialize` in interface `Record`
Throws:
  `IOException`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### write

public void write(DataOutput out) throws IOException

Throws:
  `IOException`

### readFields

public void readFields(DataInput in) throws IOException

Throws:
  `IOException`

### compareTo

public int compareTo(Object peer_) throws ClassCastException

Throws:
  `ClassCastException`

### equals

public boolean equals(Object peer_)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### signature

public static String signature()